import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Children } from 'react';
import classNames from 'classnames';
export default function UnifiedDecoration(props) {
    const { hideGutter, className, gutterClassName, contentClassName, children, showBlame } = props;
    const computedClassName = classNames('diff-decoration', className);
    const computedGutterClassName = classNames('diff-decoration-gutter', gutterClassName);
    const computedContentClassName = classNames('diff-decoration-content', contentClassName);
    const blameProps = classNames('diff-gutter', 'diff-gutter-normal');
    // eslint-disable-next-line no-console
    console.log('UnifiedDecoration showBlame:', showBlame);
    // One element spans all gutter and content cells
    if (Children.count(children) === 1) {
        return (_jsx("tbody", { className: computedClassName, children: _jsxs("tr", { children: [showBlame && (_jsx("td", { className: blameProps, children: "----" }, "blame")), _jsx("td", { colSpan: hideGutter ? 1 : 3, className: computedContentClassName, children: children })] }) }));
    }
    const [gutter, content] = children;
    return (_jsx("tbody", { className: computedClassName, children: _jsxs("tr", { children: [showBlame && (_jsx("td", { className: blameProps, children: "----" }, "blame")), !hideGutter && _jsx("td", { colSpan: 2, className: computedGutterClassName, children: gutter }), _jsx("td", { className: computedContentClassName, children: content })] }) }));
}
//# sourceMappingURL=UnifiedDecoration.js.map